﻿@{
    ViewData["Title"] = "Kelas Paralel";
}
<section class="section">
    <div class="section-header">
        <h1>Manajemen Kelas Paralel</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">Kelas Paralel</a></div>
            <div class="breadcrumb-item active"><a href="#">Manajemen Kelas Paralel</a></div>
        </div>
    </div>

    <div class="section-body">
        <div class="card">
            <div class="card-header form-row">
                <h4 class="col-md-4">Tabel Daftar Kelas Paralel</h4>
                <div class="col-md-8 float-right">
                    <form id="FormTabelKelasParalel" class="form-inline pull-right">
                        <div class="form-group mx-sm-1 mb-2 mr-1">
                            <label class="col-form-label font-weight-bold">Pilih Unit</label>
                            <select name="IdUnit" class="form-control" style="width:200px;">
                            </select>
                        </div>
                        <div class="form-group mx-sm-1 mb-2 mr-1" id="ComboKelas" style="display:none;">
                            <label class="col-form-label font-weight-bold">Pilih Kelas</label>
                            <select name="IdKelas" class="form-control">
                            </select>
                        </div>
                        <div class="form-group mx-sm-1 mb-2 mr-1" id="DivBtnTambah" style="display:none;">
                            <button type="button" class="btn btn-success btn-flat btn-block" id="BtnTambah" onclick="TambahData();"><i class="fa fa-plus"></i> Tambah Data</button>
                        </div>
                    </form>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelKelasParalel" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Aksi</th>
                                <th>Nama Kelas Paralel</th>
                                <th>Nama Singkat</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Aksi</th>
                                <th>Nama Kelas Paralel</th>
                                <th>Nama Singkat</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="ModalKelasParalel">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Kelas Paralel</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="FormKelasParalel" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <input type="hidden" name="IdKelasParalel" />
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;">Nama Unit:</label>
                        <div class="col-sm-7">
                            <select name="IdUnit" class="form-control" readonly></select>
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;">Nama Kelas:</label>
                        <div class="col-sm-7">
                            <select name="IdKelas" class="form-control" readonly></select>
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;">Nama Kelas Paralel:</label>
                        <div class="col-sm-7">
                            <input type="text" class="form-control" name="Nama" placeholder="Ketikkan Nama Kelas Paralel..." />
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;">Nama Singkat:</label>
                        <div class="col-sm-7">
                            <input type="text" class="form-control" name="NamaSingkat" placeholder="Ketikkan Nama Singkat Kelas Paralel..." />
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="form-row">
                            <div class="col-sm-6"><button type="button" data-dismiss="modal" class="btn btn-outline-danger btn-block"><i class="fa fa-repeat"></i> Kembali</button></div>
                            <div class="col-sm-6"><button type="button" id="BtnSaveKelasParalel" class="btn btn-outline-success btn-block"><i class="fa fa-save"></i> Simpan Data</button></div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>